# SourcePath: cairo/20170118dev
Summary: cairo: Multi-platform 2D vector graphics library
Name: sony-target-dev-cairo
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-cairo
Version: 1.14.8
Release: 12010001
Source: cairo-%{version}.tar.xz
License: LGPLv2.1 or MPL1.1
URL: http://cairographics.org/releases/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-pixman
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib

%description
Cairo is a vector graphics library with cross-device output support. Currently supported 
output targets include the X Window System and in-memory image buffers. Cairo is designed 
to produce identical output on all output media while taking advantage of display 
hardware acceleration when available. 

%package -n %{pkgname}
Summary: cairo: Multi-platform 2D vector graphics library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Cairo is a vector graphics library with cross-device output support. Currently supported 
output targets include the X Window System and in-memory image buffers. Cairo is designed 
to produce identical output on all output media while taking advantage of display 
hardware acceleration when available. 

%prep
%setup -n cairo-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure --with-x=yes --enable-gtk-doc-html=no --enable-xlib-xcb --enable-tee CFLAGS="-DCAIRO_HAS_FC_FONT" --with-fontconfig
  

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc/
%demangle_libtool

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

rm %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/cairo-sphinx
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/cairo-trace
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/cairo/cairo-fdr.*
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/cairo/cairo-sphinx.*
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/cairo/libcairo-trace.*

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/cairo/cairo*
#%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcairo*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/cairo*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*.a
#%{sony_target_dir}%{sony_target_dev_lib_dir}/cairo/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Dec 10 2019 Sony Corporation 
- Removed GPLv3 License files
 
* Wed Dec 04 2019 Sony Corporation 
- License updated to LGPLv2.1 or MPL1.1.
 
* Fri May 03 2017 Sony Corporation
- Added support for --with-fontconfig for weston compile error

* Wed Jan 18 2017 Sony Corporation
- Version up 1.12.14 -> 1.14.8

* Fri Aug 23 2013 Sony Corporation
- Version up 1.6.4 -> 1.12.14

* Tue Jun 17 2008 Sony Corporation
- Initial build

